%global git_tag RELEASE_%(r=%{version}; echo $r | tr '.' '_')

Name:           keycloak-httpd-client-install
Version:        1.1
Release:        2
Summary:        Provides tools to configure Apache HTTPD as Keycloak client
License:        GPLv3
URL:            https://github.com/jdennis/keycloak-httpd-client-install
Source0:        https://github.com/jdennis/keycloak-httpd-client-install/archive/%{git_tag}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel

%if "%{?python3_version}" >= "3.12"
BuildRequires: python3-setuptools
%endif

%description
Keycloak is a federated Identity Provider (IdP) that supports a
variety of authentication protocols. Apache HTTPD supports a variety
of authentication modules which have the capability of connecting to
a Keycloak IdP instance to perform authentication.

%package -n python3-keycloak-httpd-client-install
Summary:        Provides tools to configure Apache HTTPD as Keycloak client
Requires:       keycloak-httpd-client-install = %{version}-%{release}
Requires:       python3-requests python3-requests-oauthlib python3-jinja2

%description -n python3-keycloak-httpd-client-install
Keycloak is a federated Identity Provider (IdP) that supports a
variety of authentication protocols. Apache HTTPD supports a variety
of authentication modules which have the capability of connecting to
a Keycloak IdP instance to perform authentication.

%package help
Summary:        Provides help and man docs for keycloak-httpd-client-install

%description help
This package provides help and man docs for python2-keycloak-httpd-client-install
and python3-keycloak-httpd-client-install.

%prep
%autosetup -n %{name}-%{git_tag} -p1

%build
%py3_build

%install
%py3_install

mkdir -p -m 755 %{buildroot}/%{_mandir}/man8
cp doc/keycloak-httpd-client-install.8 %{buildroot}/%{_mandir}/man8
chmod 644 %{buildroot}/%{_mandir}/man8/keycloak-httpd-client-install.8

%files
%license LICENSE.txt
%{_datadir}/keycloak-httpd-client-install/


%files -n python3-keycloak-httpd-client-install
%{_bindir}/keycloak-rest
%{python3_sitelib}/*
%{_bindir}/keycloak-httpd-client-install

%files help
%{_mandir}/man8/*
%doc README.md doc/ChangeLog

%changelog
* Thu Aug 17 2023 chenchen <chen_aka_jan@163.com> - 1.1-2
- modify the Buildrequires for ebs

* Mon Feb 27 2023 lilong <lilong@kylinos.cn> - 1.1-1
- Upgrade to 1.1

* Fri Sep 11 2020 zhangjiapeng <zhangjiapeng9@huawei.com> - 0.8-9
- Remove python2-keycloak-httpd-client-install subpackage

* Wed Apr 15 2020 sunguoshuai <sunguoshuai@huawei.com> - 0.8-8
- Package init
